Bloss Docs

Your payouts in a brand

Developers
GET
/creator/brands/{brandId}/payouts

Your payouts in this brand, one per payout cycle (plus any bounty payouts), newest first: the period, base and bonus, what was paid early, what is transferred at cycle end, and whether and how it was paid. As on your Payouts page.

Authorization

bearerAuth creator:earnings
headerAuthorizationBearer <token>

Personal access token. Scopes: account:read, creator:read, creator:earnings, managed:read, coach:read, brand:read, creators:read, videos:read, analytics:read, recruitment:read, engagement:read, support:read, integrations:read, payouts:read, funds:read, billing:read.

Scope: creator:earnings

Path Parameters

brandId*string

A brand id from GET /me or GET /creator/brands.

Length1 <= length

Query Parameters

limit?integer

Page size, 1–100. Default 50.

Range1 <= value <= 100
Default50
cursor?string

The nextCursor from the previous page. Omit for the first page.

Length1 <= length

Response Body

Success.

application/json
  1. response
data*array<>
nextCursor*|

Pass as cursor to get the next page; null on the last page.

curl -X GET 'https://example.com/api/v1/creator/brands/string/payouts'
{  "data": [    {      "id": "string",      "cycleId": "string",      "periodStart": "string",      "periodEnd": "string",      "status": "paid",      "basePay": 0,      "bonusPay": 0,      "paidEarly": 0,      "bonusPaidOut": 0,      "transferAmount": 0,      "total": 0,      "notes": "string",      "paidAt": "string",      "paidVia": "string",      "transferId": "string"    }  ],  "nextCursor": "string"}

Was this page helpful?